Can Dragon Dictate 3.0 be used with a MacPro running Snow Leopard 10.8??

Dragon Dictate 3.0

Back To Product

Follow this Question

1 Answer from the Community

  • Answer

    NO! Snow Leopard is not 10.8-it is 10.6.8. I just bought the Dragon Dictate 3.0 for my 92 year old Mother for Christmas and have not installed it yet. She has Snow Leopard and I need to upgrade her MAC OS to either Lion (10.7) or Mountain Lion (10.8) for this version to work.

    I have been doing a lot of researching and think the new I-Macs with the Mountain Lion Operating System installed and the other great improvements to the hardware and software would rationalize buying her a new Mac and having all of the additional features for elderly people with disabilities and then installing the new Dragon Dictate that will also be a companion APP with her new I-pad for recording.

    Was this useful? Answer 1

    1 of 1 people found this useful

Related Questions